summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author Fridrich von Stauffenberg <cancellor2@gmail.com>2012-12-10 15:55:53 +0100
committer dsomero <xgizzmo@slackbuilds.org>2012-12-11 16:23:06 -0500
commiteea00c8b77b779e68c9130411f73ee4e9b0917cb (patch)
treec39ae7285305f2f60360d9b4fc14d3b8ed5ad2b3 /system
parent535dde20783ef3dd697da5dee243623fc94ec252 (diff)
downloadslackbuilds-eea00c8b77b779e68c9130411f73ee4e9b0917cb.tar.gz
slackbuilds-eea00c8b77b779e68c9130411f73ee4e9b0917cb.tar.xz
system/diit: Added (steganography tool).
Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
Diffstat (limited to 'system')
-rw-r--r--system/diit/README7
-rw-r--r--system/diit/diit.SlackBuild59
-rw-r--r--system/diit/diit.desktop11
-rw-r--r--system/diit/diit.info10
-rw-r--r--system/diit/diit.pngbin0 -> 68541 bytes
-rw-r--r--system/diit/diit.sh2
-rw-r--r--system/diit/doinst.sh4
-rw-r--r--system/diit/slack-desc19
8 files changed, 112 insertions, 0 deletions
diff --git a/system/diit/README b/system/diit/README
new file mode 100644
index 0000000000..57e5b885d7
--- /dev/null
+++ b/system/diit/README
@@ -0,0 +1,7 @@
+Digital Invisible Ink Toolkit is a Java steganography tool that can
+hide any sort of file inside a digital image (regarding that the
+message will fit, and the image is 24 bit colour). There are four
+highly customisable algorithms in the tool, as well as an open-source
+implementation of RS Analysis (an extremely good steganalysis method).
+The tool has the additional advantage of being able to simulate hiding
+- so you can get an accurate map of where the information is hidden.
diff --git a/system/diit/diit.SlackBuild b/system/diit/diit.SlackBuild
new file mode 100644
index 0000000000..17b22eb8b7
--- /dev/null
+++ b/system/diit/diit.SlackBuild
@@ -0,0 +1,59 @@
+#!/bin/bash
+
+# Slackware build script for Digital Invisible Ink Toolkit
+
+# Copyright 2012 Fridrich von Stauffenberg <cancellor2@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=diit
+VERSION=${VERSION:-1.5}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $OUTPUT $TMP $PKG/usr/share/$PRGNAM
+cat $CWD/$PRGNAM-$VERSION.jar > $PKG/usr/share/$PRGNAM/$PRGNAM.jar
+
+mkdir -p $PKG/usr/bin
+cat $CWD/$PRGNAM.sh > $PKG/usr/bin/$PRGNAM
+chmod 755 $PKG/usr/bin/$PRGNAM
+
+mkdir -p $PKG/usr/share/{applications,pixmaps}
+cat $CWD/$PRGNAM.desktop > $PKG/usr/share/applications/$PRGNAM.desktop
+cat $CWD/$PRGNAM.png > $PKG/usr/share/pixmaps/$PRGNAM.png
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/diit/diit.desktop b/system/diit/diit.desktop
new file mode 100644
index 0000000000..e87bfb5e42
--- /dev/null
+++ b/system/diit/diit.desktop
@@ -0,0 +1,11 @@
+[Desktop Entry]
+Version=1.0
+Type=Application
+Terminal=false
+Name=DIIT
+GenericName=Digital Invisible Ink Toolkit
+Comment=Steganography tool
+Icon=diit
+Exec=diit
+Categories=System;
+MimeType=
diff --git a/system/diit/diit.info b/system/diit/diit.info
new file mode 100644
index 0000000000..9f124b97b3
--- /dev/null
+++ b/system/diit/diit.info
@@ -0,0 +1,10 @@
+PRGNAM="diit"
+VERSION="1.5"
+HOMEPAGE="http://diit.sourceforge.net"
+DOWNLOAD="http://downloads.sourceforge.net/diit/diit-1.5.jar"
+MD5SUM="dc6a4cd2af804f2dd69dcd4f9b524a70"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="jdk"
+MAINTAINER="Fridrich von Stauffenberg"
+EMAIL="cancellor2@gmail.com"
diff --git a/system/diit/diit.png b/system/diit/diit.png
new file mode 100644
index 0000000000..009127d6b1
--- /dev/null
+++ b/system/diit/diit.png
Binary files differ
diff --git a/system/diit/diit.sh b/system/diit/diit.sh
new file mode 100644
index 0000000000..180e18b989
--- /dev/null
+++ b/system/diit/diit.sh
@@ -0,0 +1,2 @@
+#!/bin/sh
+exec java -Xmx512m -jar /usr/share/diit/diit.jar
diff --git a/system/diit/doinst.sh b/system/diit/doinst.sh
new file mode 100644
index 0000000000..4e8ba7071d
--- /dev/null
+++ b/system/diit/doinst.sh
@@ -0,0 +1,4 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
diff --git a/system/diit/slack-desc b/system/diit/slack-desc
new file mode 100644
index 0000000000..eee4e49ad2
--- /dev/null
+++ b/system/diit/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+diit: diit (Digital Invisible Ink Toolkit)
+diit:
+diit: Digital Invisible Ink Toolkit is a Java steganography tool that can
+diit: hide any sort of file inside a digital image (regarding that the
+diit: message will fit, and the image is 24 bit colour). There are four
+diit: highly customisable algorithms in the tool, as well as an open-source
+diit: implementation of RS Analysis (an extremely good steganalysis method).
+diit: The tool has the additional advantage of being able to simulate hiding
+diit: - so you can get an accurate map of where the information is hidden.
+diit:
+diit: Homepage: http://diit.sourceforge.net